<?xml version="1.0" encoding="UTF-8"?>
<!--
/*******************************************************************************
 * Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     Nokia Corporation - initial implementation 
 *******************************************************************************/
-->

<templates>
<!-- ************************************************** eSWT Mobile Widgets ************************************************** -->

<template 
	name="CaptionedControl" 
	description="%eSWTTemplates.captionedControl" 
	id="org.eclipse.mtj.eswt.templates.eswt.captionedcontrol" 
	context="swt-statements" enabled="true" autoinsert="false"
	
>${captionedControlType:newType(org.eclipse.ercp.swt.mobile.CaptionedControl)} ${captionedControl:newName(org.eclipse.ercp.swt.mobile.CaptionedControl)}= new ${captionedControlType}(${parent:var(org.eclipse.swt.widgets.Composite)}, ${style:link(SWT.NONE, SWT.LEFT_TO_RIGHT, SWT.RIGHT_TO_LEFT)});
${captionedControl}.setLayoutData(new ${gridDataType:newType(org.eclipse.swt.layout.GridData)}(SWT.${horizontal:link(FILL, BEGINNING, CENTER, END)}, SWT.${vertical:link(FILL, TOP, CENTER, BOTTOM)}, ${hex:link(true, false)}, ${vex:link(false, true)}));
${captionedControl}.setText(${word_selection}${});
${imp:import(org.eclipse.swt.SWT)}
${cursor} </template>

<template 
	name="Command" 
	description="%eSWTTemplates.command" 
	id="org.eclipse.mtj.eswt.templates.eswt.command" 
	context="swt-statements" enabled="true" autoinsert="false"
	
>${commandType:newType(org.eclipse.ercp.swt.mobile.Command)} ${command:newName(org.eclipse.ercp.swt.mobile.Command)}= new ${commandType}(${parent:var(org.eclipse.swt.widgets.Control)}, ${type:link(
Command.BACK,
Command.CANCEL,
Command.DELETE,
Command.EXIT,
Command.GENERAL,
Command.HELP,
Command.OK,
Command.SELECT,
Command.STOP )}, ${10});
${command}.setText(${word_selection}${});
${command}.addListener( SWT.Selection, new ${listener:newType(org.eclipse.swt.widgets.Listener)}(){
	public void handleEvent(${event:newType(org.eclipse.swt.widgets.Event)} e) { 
${imp:import(org.eclipse.swt.SWT)}${cursor}	
	}
});</template>

<template 
	name="ConstrainedText" 
	description="%eSWTTemplates.constrainedText"
	id="org.eclipse.mtj.eswt.templates.eswt.constrainedtext" 
	context="swt-statements" enabled="true" autoinsert="false"
	
>${constrainedTextType:newType(org.eclipse.ercp.swt.mobile.ConstrainedText)} ${constrainedtext:newName(org.eclipse.ercp.swt.mobile.ConstrainedText)}= new ${constrainedTextType}(${parent:var(org.eclipse.swt.widgets.Composite)}, ${style:link(SWT.NONE, SWT.BORDER)}, ${constrainStyle:link(ConstrainedText.NUMERIC, ConstrainedText.DECIMAL, ConstrainedText.PHONENUMBER)});
${constrainedtext}.setLayoutData(new ${type:newType(org.eclipse.swt.layout.GridData)}(SWT.${horizontal:link(BEGINNING, CENTER, END, FILL)}, SWT.${vertical:link(CENTER, TOP, BOTTOM, FILL)}, ${hex:link(false, true)}, ${vex:link(false, true)}));
${constrainedtext}.setText(${word_selection}${});
${imp:import(org.eclipse.swt.SWT)}${cursor}</template>

<template 
	name="DateEditor" 
	description="%eSWTTemplates.dateEditor" 
	id="org.eclipse.mtj.eswt.templates.eswt.dateeditor" 
	context="swt-statements" enabled="true" autoinsert="false"
	
>${dateEditorType:newType(org.eclipse.ercp.swt.mobile.DateEditor)} ${dateEditor:newName(org.eclipse.ercp.swt.mobile.DateEditor)}= new ${dateEditorType}(${parent:var(org.eclipse.swt.widgets.Composite)}, ${style:link(SWT.NONE, SWT.BORDER)}, ${dateEditorStyle:link(
DateEditor.COMPACT,
DateEditor.DATE,
DateEditor.DATE_TIME,
DateEditor.DURATION,
DateEditor.FULL,
DateEditor.OFFSET,
DateEditor.TIME,
'DateEditor.DATE | DateEditor.COMPACT',
'DateEditor.DATE_TIME | DateEditor.COMPACT',
'DateEditor.DURATION | DateEditor.COMPACT',
'DateEditor.OFFSET | DateEditor.COMPACT',
'DateEditor.TIME | DateEditor.COMPACT',
'DateEditor.DATE | DateEditor.FULL',
'DateEditor.DATE_TIME | DateEditor.FULL',
'DateEditor.DURATION | DateEditor.FULL',
'DateEditor.OFFSET | DateEditor.FULL',
'DateEditor.TIME | DateEditor.FULL' )});
${dateEditor}.setLayoutData(new ${type:newType(org.eclipse.swt.layout.GridData)}(SWT.${horizontal:link(BEGINNING, CENTER, END, FILL)}, SWT.${vertical:link(CENTER, TOP, BOTTOM, FILL)}, ${hex:link(false, true)}, ${vex:link(false, true)}));
${dateEditor}.setDate(new ${date:newType(java.util.Date)}());
${imp:import(org.eclipse.swt.SWT)}${cursor}</template>

<template 
	name="HyperLink" 
	description="%eSWTTemplates.hyperlink" 
	id="org.eclipse.mtj.eswt.templates.eswt.hyperlink" 
	context="swt-statements" enabled="true" autoinsert="false"
	
>${hyperlinkType:newType(org.eclipse.ercp.swt.mobile.HyperLink)} ${hyperlink:newName(org.eclipse.ercp.swt.mobile.HyperLink)}= new ${hyperlinkType}(${parent:var(org.eclipse.swt.widgets.Composite)}, ${style:link(SWT.NONE)}, ${format:link(HyperLink.URL, HyperLink.EMAIL, HyperLink.PHONE)});
${hyperlink}.setLayoutData(new ${type:newType(org.eclipse.swt.layout.GridData)}(SWT.${horizontal:link(BEGINNING, CENTER, END, FILL)}, SWT.${vertical:link(CENTER, TOP, BOTTOM, FILL)}, ${hex:link(false, true)}, ${vex:link(false, true)}));
${hyperlink}.setText(${word_selection}${});
${imp:import(org.eclipse.swt.SWT)}${cursor}</template>

<template 
	name="ListBox" 
	description="%eSWTTemplates.listBox" 
	id="org.eclipse.mtj.eswt.templates.eswt.listbox" 
	context="swt-statements" enabled="true" autoinsert="false"
	
>${listBoxType:newType(org.eclipse.ercp.swt.mobile.ListBox)} ${listbox:newName(org.eclipse.ercp.swt.mobile.ListBox)}= new ${listBoxType}(${parent:var(org.eclipse.swt.widgets.Composite)}, ${style:link(SWT.SINGLE, SWT.MULTI)}, ${layoutStyle:link(
ListBox.LB_STYLE_NO_HEADING_TEXT,
ListBox.LB_STYLE_1LINE_ITEM,
ListBox.LB_STYLE_2LINE_ITEM,
'ListBox.LB_STYLE_NO_HEADING_TEXT | ListBox.LB_MOD_SHOW_SELECTION_NUMBER', 
'ListBox.LB_STYLE_NO_HEADING_TEXT | ListBox.LB_MOD_SHOW_HEADING_ICONS',
'ListBox.LB_STYLE_NO_HEADING_TEXT | ListBox.LB_MOD_SHOW_DETAIL_ICONS',
'ListBox.LB_STYLE_NO_HEADING_TEXT | ListBox.LB_MOD_SHOW_SELECTION_NUMBER | ListBox.LB_MOD_SHOW_HEADING_ICONS',
'ListBox.LB_STYLE_NO_HEADING_TEXT | ListBox.LB_MOD_SHOW_SELECTION_NUMBER | ListBox.LB_MOD_SHOW_DETAIL_ICONS',
'ListBox.LB_STYLE_NO_HEADING_TEXT | ListBox.LB_MOD_SHOW_HEADING_ICONS | ListBox.LB_MOD_SHOW_DETAIL_ICONS',
'ListBox.LB_STYLE_NO_HEADING_TEXT | ListBox.LB_MOD_SHOW_HEADING_ICONS | ListBox.LB_MOD_SHOW_DETAIL_ICONS | ListBox.LB_MOD_SHOW_SELECTION_NUMBER',
'ListBox.LB_STYLE_1LINE_ITEM | ListBox.LB_MOD_SHOW_SELECTION_NUMBER', 
'ListBox.LB_STYLE_1LINE_ITEM | ListBox.LB_MOD_SHOW_HEADING_ICONS',
'ListBox.LB_STYLE_1LINE_ITEM | ListBox.LB_MOD_SHOW_DETAIL_ICONS',
'ListBox.LB_STYLE_1LINE_ITEM | ListBox.LB_MOD_SHOW_SELECTION_NUMBER | ListBox.LB_MOD_SHOW_HEADING_ICONS',
'ListBox.LB_STYLE_1LINE_ITEM | ListBox.LB_MOD_SHOW_SELECTION_NUMBER | ListBox.LB_MOD_SHOW_DETAIL_ICONS',
'ListBox.LB_STYLE_1LINE_ITEM | ListBox.LB_MOD_SHOW_HEADING_ICONS | ListBox.LB_MOD_SHOW_DETAIL_ICONS',
'ListBox.LB_STYLE_1LINE_ITEM | ListBox.LB_MOD_SHOW_HEADING_ICONS | ListBox.LB_MOD_SHOW_DETAIL_ICONS | ListBox.LB_MOD_SHOW_SELECTION_NUMBER',
'ListBox.LB_STYLE_2LINE_ITEM | ListBox.LB_MOD_SHOW_SELECTION_NUMBER', 
'ListBox.LB_STYLE_2LINE_ITEM | ListBox.LB_MOD_SHOW_HEADING_ICONS',
'ListBox.LB_STYLE_2LINE_ITEM | ListBox.LB_MOD_SHOW_DETAIL_ICONS',
'ListBox.LB_STYLE_2LINE_ITEM | ListBox.LB_MOD_SHOW_SELECTION_NUMBER | ListBox.LB_MOD_SHOW_HEADING_ICONS',
'ListBox.LB_STYLE_2LINE_ITEM | ListBox.LB_MOD_SHOW_SELECTION_NUMBER | ListBox.LB_MOD_SHOW_DETAIL_ICONS',
'ListBox.LB_STYLE_2LINE_ITEM | ListBox.LB_MOD_SHOW_HEADING_ICONS | ListBox.LB_MOD_SHOW_DETAIL_ICONS',
'ListBox.LB_STYLE_2LINE_ITEM | ListBox.LB_MOD_SHOW_HEADING_ICONS | ListBox.LB_MOD_SHOW_DETAIL_ICONS | ListBox.LB_MOD_SHOW_SELECTION_NUMBER'
)});
${listbox}.setLayoutData(new ${type:newType(org.eclipse.swt.layout.GridData)}(SWT.${horizontal:link(BEGINNING, CENTER, END, FILL)}, SWT.${vertical:link(CENTER, TOP, BOTTOM, FILL)}, ${hex:link(false, true)}, ${vex:link(false, true)}));
${imp:import(org.eclipse.swt.SWT)}${cursor}</template>

<template 
	name="ListBoxItem" 
	description="%eSWTTemplates.listBoxItem" 
	id="org.eclipse.mtj.eswt.templates.eswt.listboxitem" 
	context="swt-statements" enabled="true" autoinsert="false"
	
>${listboxItemType:newType(org.eclipse.ercp.swt.mobile.ListBoxItem)} ${listbox:newName(org.eclipse.ercp.swt.mobile.ListBoxItem)}= new ${listboxItemType}(${detailText:var(java.lang.String)}, ${detailIcon:var(org.eclipse.swt.widgets.Image)}, ${headingText:var(java.lang.String)}, ${headingIcon:var(org.eclipse.swt.widgets.Image)});
${imp:import(org.eclipse.swt.SWT)}${cursor}</template>

<template 
	name="ListView" 
	description="%eSWTTemplates.listView" 
	id="org.eclipse.mtj.eswt.templates.eswt.listview" 
	context="swt-statements" enabled="true" autoinsert="false"
	
>${listViewType:newType(org.eclipse.ercp.swt.mobile.ListView)} ${listview:newName(org.eclipse.ercp.swt.mobile.ListView)}= new ${listViewType}(${parent:var(org.eclipse.swt.widgets.Composite)}, ${style:link(SWT.SINGLE, SWT.MULTI, 'SWT.SINGLE | SWT.VERTICAL', 'SWT.SINGLE| SWT.HORIZONTAL', 'SWT.MULTI | SWT.VERTICAL', 'SWT.MULTI | SWT.HORIZONTAL'  )}, ${density:link(ListView.MEDIUM, ListView.HIGH, ListView.LOW)});
${listview}.setLayoutData(new ${type:newType(org.eclipse.swt.layout.GridData)}(SWT.${horizontal:link(BEGINNING, CENTER, END, FILL)}, SWT.${vertical:link(CENTER, TOP, BOTTOM, FILL)}, ${hex:link(false, true)}, ${vex:link(false, true)}));
${listview}.add(${item:var(java.lang.String)}, ${ image:var(org.eclipse.swt.widgets.Image)});
${imp:import(org.eclipse.swt.SWT)}${cursor}</template>

<template 
	name="MobileShell" 
	description="%eSWTTemplates.mobileShell" 
	id="org.eclipse.mtj.eswt.templates.eswt.mobileshell" 
	context="swt-statements" enabled="true" autoinsert="false"
	
>${mobileShellType:newType(org.eclipse.ercp.swt.mobile.MobileShell)} ${mobileshell:newName(org.eclipse.ercp.swt.mobile.MobileShell)} = new ${mobileShellType}(${parent:var(org.eclipse.swt.widgets.Display)}, ${style:link(SWT.NONE)}, ${statusStyle:link(MobileShell.LARGE_STATUS_PANE, MobileShell.NO_STATUS_PANE, MobileShell.SMALL_STATUS_PANE)});
${mobileshell}.setLayout(new ${layoutType:newType(org.eclipse.swt.layout.GridLayout)}(${numberColumns:link(1, 2, 3, 4, 5)}, ${equalColumns:link(false, true)}));

${imp:import(org.eclipse.swt.SWT)}${cursor}

${mobileshell}.open();</template>

<template 
	name="MultiPageDialog" 
	description="%eSWTTemplates.multipageDialog" 
	id="org.eclipse.mtj.eswt.templates.eswt.multipagedialog" 
	context="swt-statements" enabled="true" autoinsert="false"
	
>${multipageDialogType:newType(org.eclipse.ercp.swt.mobile.MultiPageDialog)} ${multipagedialog:newName(org.eclipse.ercp.swt.mobile.MultiPageDialog)} = new ${multipageDialogType}(${parent:var(org.eclipse.swt.widgets.Shell)}, ${style:link(SWT.SYSTEM_MODAL, SWT.APPLICATION_MODAL, SWT.PRIMARY_MODAL)});
${pageType:newType(org.eclipse.swt.widgets.Composite)} ${page:newName(org.eclipse.swt.widgets.Composite)} = ${multipagedialog}.createPage( ${title:var(java.lang.String)}, ${ icon:var(org.eclipse.swt.widgets.Image)});

${imp:import(org.eclipse.swt.SWT)}${cursor}

${multipagedialog}.open();</template>

<template 
	name="QueryDialog" 
	description="%eSWTTemplates.queryDialog" 
	id="org.eclipse.mtj.eswt.templates.eswt.querydialog" 
	context="swt-statements" enabled="true" autoinsert="false"
	
>${queryDialogType:newType(org.eclipse.ercp.swt.mobile.QueryDialog)} ${querydialog:newName(org.eclipse.ercp.swt.mobile.QueryDialog)}= new ${queryDialogType}(${parent:var(org.eclipse.swt.widgets.Shell)});
${querydialog}.setPromptText(${promptText:var(java.lang.String)}, ${ defaultValue:var(ojava.lang.String)});
${querydialog}.open();
${imp:import(org.eclipse.swt.SWT)}${cursor}</template>

<template 
	name="SortedList" 
	description="%eSWTTemplates.sortedList" 
	id="org.eclipse.mtj.eswt.templates.eswt.sortedlist" 
	context="swt-statements" enabled="true" autoinsert="false"
	
>${sortedListType:newType(org.eclipse.ercp.swt.mobile.SortedList)} ${sortedlist:newName(org.eclipse.ercp.swt.mobile.SortedList)}= new ${sortedListType}(${parent:var(org.eclipse.swt.widgets.Composite)}, ${style:link(SWT.SINGLE, SWT.MULTI, 'SWT.SINGLE | SWT.UP', 'SWT.SINGLE| SWT.DOWN', 'SWT.MULTI | SWT.UP', 'SWT.MULTI | SWT.DOWN'  )}, ${density:link(SortedList.FILTER)});
${sortedlist}.setLayoutData(new ${type:newType(org.eclipse.swt.layout.GridData)}(SWT.${horizontal:link(BEGINNING, CENTER, END, FILL)}, SWT.${vertical:link(CENTER, TOP, BOTTOM, FILL)}, ${hex:link(false, true)}, ${vex:link(false, true)}));
${sortedlist}.add(${item:var(java.lang.String)});
${imp:import(org.eclipse.swt.SWT)}${cursor}</template>

<template 
	name="TaskTip" 
	description="%eSWTTemplates.taskTip" 
	id="org.eclipse.mtj.eswt.templates.eswt.tasktip" 
	context="swt-statements" enabled="true" autoinsert="false"
	
>${taskTipType:newType(org.eclipse.ercp.swt.mobile.TaskTip)} ${tasktip:newName(org.eclipse.ercp.swt.mobile.TaskTip)}= new ${taskTipType}(${parent:var(org.eclipse.swt.widgets.Shell)}, ${style:link(SWT.SMOOTH, SWT.INDETERMINATE)});
${tasktip}.setText(${word_selection}${});
${tasktip}.setVisible(true);
${imp:import(org.eclipse.swt.SWT)}${cursor}</template>


<template 
	name="TextExtension" 
	description="%eSWTTemplates.textExtension" 
	id="org.eclipse.mtj.eswt.templates.eswt.textextension" 
	context="swt-statements" enabled="true" autoinsert="false"
	
>${type:newType(org.eclipse.ercp.swt.mobile.TextExtension)} ${text:newName(org.eclipse.ercp.swt.mobile.TextExtension)}= new ${type}(${parent:var(org.eclipse.swt.widgets.Composite)}, ${style:link('SWT.SINGLE | SWT.LEAD | SWT.BORDER', 'SWT.SINGLE | SWT.LEAD | SWT.READ_ONLY | SWT.BORDER', 'SWT.SINGLE | SWT.LEAD | SWT.PASSWORD | SWT.BORDER', 'SWT.MULTI | SWT.WRAP | SWT.V_SCROLL | SWT.BORDER', 'SWT.MULTI | SWT.H_SCROLL | SWT.V_SCROLL | SWT.BORDER')}, 
${extensionStyle:link(TextExtension.EMAILADDRESS, TextExtension.URL, TextExtension.NON_PREDICTIVE, TextExtension.LATIN_INPUT_ONLY)} );
${text}.setLayoutData(new ${gridDataType:newType(org.eclipse.swt.layout.GridData)}(SWT.${horizontal:link(FILL, BEGINNING, CENTER, END)}, SWT.${vertical:link(CENTER, TOP, BOTTOM, FILL)}, ${hex:link(true, false)}, ${vex:link(false, true)}));
${text}.setText(${word_selection}${});
${imp:import(org.eclipse.swt.SWT)}${cursor}</template>

<template 
	name="TimedMessageBox" 
	description="%eSWTTemplates.timedMessageBox" 
	id="org.eclipse.mtj.eswt.templates.eswt.timedmessagebox" 
	context="swt-statements" enabled="true" autoinsert="false"
	
>${type:newType(org.eclipse.ercp.swt.mobile.TimedMessageBox)} ${timedmessagebox:newName(org.eclipse.ercp.swt.mobile.TimedMessageBox)}= new ${type}(${parent:var(org.eclipse.swt.widgets.Shell)}, ${style:link(SWT.ICON_WORKING, SWT.ICON_INFORMATION, SWT.ICON_WARNING, SWT.ICON_ERROR)});
${timedmessagebox}.setMessage(${word_selection}${});
${timedmessagebox}.open();
${imp:import(org.eclipse.swt.SWT)}${cursor}</template>


</templates>
